﻿/*------------------------------------*\
    $HOUSEKEEPING
\*------------------------------------*/
*{ margin:0; padding:0; }
html{
    padding:5%;
    font:1em/1.2em Georgia, serif;
    overflow-y:scroll;
background-color: #def;
}
ul{
    margin-bottom:1.5em;
    margin-left:1.5em;
}
a{
    text-decoration:none;
}

.rad{
-webkit-border-radius:2em 0em 2em 0em;
-moz-border-radius:   2em 0em 2em 0em;
border-radius:        2em 0em 2em 0em;
}

.not{
	color:#55f!important;
	pointer-events: none;
}



/*------------------------------------*\
    $NAV
\*------------------------------------*/
/**
 * Throw any `ul` or `ol` into horizontal mode, as per csswizardry.com/2011/09/the-nav-abstraction.
   <ul class=nav>
       <li><a href=/>Home</a></li>
       <li><a href=/about>About</a></li>
       <li><a href=/portfolio>Portfolio</a></li>
       <li><a href=/contact>Contact</a></li>
   </ul>
 */
.nav{
    list-style:none;
    margin-left:-1px;

}
    .nav > li,
        .nav > li > a{
            display:inline-block;
           /*display:inline;*/
            zoom:1;
        }
    
    /**
     * Create a vertically stacked nav by extending `.nav` with `.stacked`.
       <ul class="nav stacked">
           <li><a href=/>Home</a></li>
           <li><a href=/about>About</a></li>
           <li><a href=/portfolio>Portfolio</a></li>
           <li><a href=/contact>Contact</a></li>
       </ul>
     */
    .stacked > li{
        display:list-item;
    }
        .stacked > li > a{
            display:block;
    }





/*------------------------------------*\
    $FLYOUT
\*------------------------------------*/
/**
 * Flyouts are pieces of content that fly out of a parent when said parent is hovered.
 * They typically appear bottom-left of the parent.
   <div class=flyout>
       Foo
       <div class=flyout-content>
           <h1>Lorem</h1>
           <p>Ipsum</p>
       </div>
   </div>
 */
.flyout,
.flyout-alt{
    position:relative;
}
    .flyout-content{
        /* Position the flyouts off-screen. This is typically better than `display:none;`. */
        position:absolute;
        top:100%;
        left:-99999px;
        /**
         * Even though they are out of document flow, lots of nested flyouts can
         * eventually force scroll bars to appear as they become taller than the viewport.
         * We can undo this effect by giving them zero height.
         */
        height:0;
        overflow:hidden;
    }
    
    /**
     * Bring the flyouts into view when you hover their parents.
     * Two different types of flyout; ‘regular’ (`.flyout`) and ‘alternative’ (`.flyout-alt`).
     */
    /* Regular flyouts sit all the way from the top, flush left. */
    .flyout:hover > .flyout-content{
        left:0;
    }
    /* Alternative flyouts sit all the way from the left, flush top. */
    .flyout-alt:hover > .flyout-content{
        top:0;
        left:100%;
    }
    .flyout:hover > .flyout-content,
    .flyout-alt:hover > .flyout-content{
        /* Give the flyouts their height back once they come into view. */
        height:auto;
        overflow:visible;
    }





/*------------------------------------*\
    $SITE-NAV
\*------------------------------------*/
/**
 * Site nav specific styling.
 * Extends `.nav{}`
 */
.site-nav{
    font-size:1em;
    font-family:sans-serif;
}
        .site-nav a{
            line-height:1;
            padding:0.8em;
            background-color:#22f;
            color:#fd5;
            white-space:nowrap;
			text-align:center;
			margin-bottom:3px;
        }

/*--- SITE-NAV FLYOUTS ---*/

.site-nav .flyout:hover > a /* [1] */,
.site-nav .flyout-alt:hover > a /* [1] */,
.site-nav a:hover{
    color:#00f;
    background-color:#fd5;	
	border-color: #00f;
}

.site-nav a,
.site-nav .flyout-content{

	border-color:  #bc0 ;
}
.site-nav > li > a{
	font-size:1.2em;	

}


li{border:1px solid #def!important;




}


a{font-weight:600!important;

	border-style: solid;	
	border-width: 5px;
}
		
	
	
	
	
	